<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2010 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: user_pm_panel.php
| Author: THeNeeD & Fangree Productions
| Developers: THeNeeD & Fangree_Craig
| Other Credits: Thanks To SoulSmasher & HobbyMan for assisting
| Site: http://www.fangree.co.uk  & http://fusiontr.com/
| Contact: admin@fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/

if (!defined("IN_FUSION")) { die("Access Denied"); }
if (file_exists(INFUSIONS."user_pm_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."user_pm_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."user_pm_panel/locale/English.php";
}
// Access Code by Soulsmasher
if (iMEMBER && FUSION_SELF=="messages.php") {
	//opentable by Fangree Productions
	opentable($userdata['user_name']."".$locale['on005']);
	
	//SQL by  THeNeeD & Fangree Productions
	$msg_settings = dbarray(dbquery("SELECT * FROM ".DB_MESSAGES_OPTIONS." WHERE user_id='0'"));

	$bdata = dbarray(dbquery(
		"SELECT COUNT(IF(message_folder=0, 1, null)) inbox_total,
		COUNT(IF(message_folder=1, 1, null)) outbox_total, COUNT(IF(message_folder=2, 1, null)) archive_total
		FROM ".DB_MESSAGES." WHERE message_to='".$userdata['user_id']."' GROUP BY message_to"
	));
	// Persentages Codes by THeNeeD 
	$maxwidth = 320;
	$percent1 = 100 / $msg_settings['pm_inbox'] * $bdata['inbox_total'];
	$loadwidth1 = $maxwidth - ($maxwidth - ($percent1 / 100) * $maxwidth);
	$percent2 = 100 / $msg_settings['pm_sentbox'] * $bdata['outbox_total'];
	$loadwidth2 = $maxwidth - ($maxwidth - ($percent2 / 100) * $maxwidth);
	$percent3 = 100 / $msg_settings['pm_savebox'] * $bdata['archive_total'];
	$loadwidth3 = $maxwidth - ($maxwidth - ($percent3 / 100) * $maxwidth);
	$stat = $percent1 + $percent2 + $percent3;
	$stat = round($stat);
	
	//styles Include - Edit style_include.php to change Bar Styles By Fangree Productions//
	include INFUSIONS."user_pm_panel/includes/style_include.php";
	//styles Include End//
	
	// Overall Status Codes by  THeNeeD 
	if($stat>=0 && $stat<=75){
		$stat2 = "<img src='".INFUSIONS."user_pm_panel/images/1.jpg'>\n";
	}elseif($stat>=75 && $stat<=150){
		$stat2 = "<img src='".INFUSIONS."user_pm_panel/images/2.jpg'>\n";
	}elseif($stat>=150 && $stat<=225){
		$stat2 = "<img src='".INFUSIONS."user_pm_panel/images/3.jpg'>\n";
	}elseif($stat>=225 && $stat<=300){
		$stat2 = "<img src='".INFUSIONS."user_pm_panel/images/4.jpg'>\n";
	}
	
	echo "<table cellpadding='0' cellspacing='0' align='center' class='tbl' border='0' width='99%'>\n";
	echo "<tr><td class='tbl2' width='80'><span class='side'><strong>".$locale['on100']."</strong></span></td><td class='tbl2' width='".$maxwidth."'>\n";
	$msg_count = dbcount("(message_id)", DB_MESSAGES, "message_to='".$userdata['user_id']."' AND message_read='0' AND message_folder='0'");
	if ($msg_count) { 
		echo "<div style='text-align:center'><strong><font size='1'><a href='".BASEDIR."messages.php' class='side'>".sprintf($locale['global_125'], $msg_count).($msg_count == 1 ? $locale['global_126'] : $locale['global_127'])."</a></strong></font></div>\n"; 
	} else {
		echo"<div style='text-align:center'><strong><font color='black' size='1'>".$locale['on104']."</strong></font></div>\n";
	}
	// Inbox Full Code added by Fangree Productions
	echo "<div align='center'>\n";
	$data2 = dbarray(dbquery("SELECT pm_inbox FROM ".DB_MESSAGES_OPTIONS.""));
	$result = dbquery("SELECT * FROM ".DB_MESSAGES." WHERE message_to='".$userdata['user_id']."' AND message_folder='0'");
	$rows=dbrows($result);
	
	if ($rows >= $data2['pm_inbox']) {
	   echo "<strong><font color='red' size='1'>".$locale['on006']."</font></strong>\n";
	}
	
		// Outbox Full Code added by Fangree Productions & HobbyMan
		echo "<div align='center'>\n";
   $msg_settings2 = dbarray(dbquery("SELECT pm_sentbox FROM ".DB_MESSAGES_OPTIONS." WHERE user_id = '0'"));
   $message_count = dbcount("(message_id)", DB_MESSAGES, "message_folder='1' && message_to='".$userdata['user_id']."'");
   
   if ($message_count >= $msg_settings2['pm_sentbox']) {
      echo "<strong><font color='red' size='1'>".$locale['on007']."</font></strong>\n";
   }
   
   // Archive Full Code added by Fangree Productions & HobbyMan
	echo "<div align='center'>\n";
   $msg_settings3 = dbarray(dbquery("SELECT pm_savebox FROM ".DB_MESSAGES_OPTIONS." WHERE user_id = '0'"));
   $message_count = dbcount("(message_id)", DB_MESSAGES, "message_folder='2' && message_to='".$userdata['user_id']."'");
   
   if ($message_count >= $msg_settings3['pm_savebox']) {
      echo "<strong><font color='red' size='1'>".$locale['on009']."</font></strong>\n";
   }
	
	echo"</td>";
	
	echo"<td class='tbl2' align='right'> ".$stat2."</td></tr>\n";
	echo "</table>";
	
	//Status Table  by  THeNeeD & Fangree Productions
	echo "<table cellpadding='0' cellspacing='0' align='center' class='tbl' border='0' width='99%'>\n";
	echo "<tr>
		<td class='tbl2' width='80'><a href='".BASEDIR."messages.php?folder=inbox' class='side'>".$locale['on101']."</a>:</td>";
		echo"<td class='tbl1' width='".$maxwidth."'><div class='empty'><div class='bar1'></div>[".$bdata['inbox_total']."/".$msg_settings['pm_inbox']."]</div></td>\n";
		echo"<td class='tbl2' align='right'><font color='#e10202'>".round($percent1)."%</font> ".$locale['on008']."</td></tr>\n";
		echo"<tr>\n";
		echo"<td class='tbl2' width='80'><a href='".BASEDIR."messages.php?folder=outbox' class='side'>".$locale['on102']."</a>:</td>\n";
		echo"<td class='tbl1' width='".$maxwidth."'><div class='empty'><div class='bar2'></div>[".$bdata['outbox_total']."/".$msg_settings['pm_sentbox']."]</div></td>\n";
		echo"<td class='tbl2' align='right'><font color='#e10202'>".round($percent2)."%</font> ".$locale['on008']."</td>\n";
	echo"</tr>\n";
	echo"<tr>\n";
		echo"<td class='tbl2' width='80'><a href='".BASEDIR."messages.php?folder=archive' class='side'>".$locale['on103']."</a>:</td>\n";
		echo"<td class='tbl1' width='".$maxwidth."'><div class='empty'><div class='bar3'></div>[".$bdata['archive_total']."/".$msg_settings['pm_savebox']."]</div></td>\n";
		echo"<td class='tbl2' align='right'><font color='#e10202'>".round($percent3)."%</font> ".$locale['on008']."</td>\n";
	echo"</tr></table>\n";
	
	closetable();
}
?>